--Best = 2750

local M = {}

local coils = {1, 21, 43, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}

local function onPreRender(dt)
	if bullettime.get() > 0 then
		--Update all coils
		for i = 1, #coils do
			coils[i] = coils[i]+(dt)*bullettime.get()
		end

		TorqueScript.eval([[
			coil1.position = "-654.871582 -1344.68835 ]]..(34*math.sin(coils[1])+34)..[[";
			coil2.position = "-654.820068 -1157.24207 ]]..(34*math.sin(coils[2])+34)..[[";
			coil3.position = "-482.854065 -1158.45850 ]]..(34*math.sin(coils[3])+34)..[[";
			coil4.position = "-482.973755 -1344.71521 ]]..(34*math.sin(coils[4])+34)..[[";
		]])

		-- Update big coils on pylon
		for i = 5, 9 do
			TorqueScript.eval('coil'..i..'.position = "'..(-500*math.sin(coils[i])-1184.64/2 + (i-5)*40)..' -926.705 75.46";')
		end
		for i = 10, 14 do
			TorqueScript.eval('coil'..i..'.position = "'..(500*math.sin(coils[i])-1184.64/2 + (i-10)*40)..' -1558.51 75.46";')
		end
	end
end

M.onPreRender = onPreRender
return M
