--Best = 4100

local M = {}

local rotations = {0, 0, 0, 0, 0, 0}
local speeds = {1, 0.72, 0.56, 0.41, 0.18}

local function onPreRender(dt)
	if bullettime.get() > 0 then
		for i = 1, 5 do
			rotations[i] = rotations[i] + speeds[i]*dt*bullettime.get()
			--centerX and Z is the star's positional coords
			local planetCenterX, planetCenterZ, planetRadius = -558.296875, 232.918549, 150+(50*i)
			local planetX, planetY, planetZ = planetCenterX+planetRadius*math.sin(rotations[i]), -562.781982, planetCenterZ+planetRadius*math.cos(rotations[i])

			TorqueScript.eval([[
				planet]]..i..[[.position = "]]..planetX..[[ ]]..planetY..[[ ]]..planetZ..[[";
			]])
		end
	end
end

M.onPreRender = onPreRender
return M
