--Best = 1090

local M = {}

local reset = false

local function onBeamNGTrigger(data)
	if data.event == "enter" then
		if data.triggerName == 'reset' then
			--Check that the player has not yet been reset (prevents looping)
			if not reset then
				be:resetVehicle(0)
				TorqueScript.eval('scenario_player0.position = "-1209.95 -320.82 31.8";')
				--TODO - Change the rotation to match the direction of travel
				--Maybe fixed now?
				TorqueScript.eval('scenario_player0.rotation = "0 0 1 90";')
				reset = true
			end
		elseif string.find(data.triggerName, 'zeroGravity') then
			scenetree.findObject('scenario_player0'):queueLuaCommand('obj:setGravity(0)')
		elseif string.find(data.triggerName, 'earthGravity') or data.triggerName == "finish" then
			scenetree.findObject('scenario_player0'):queueLuaCommand('obj:setGravity(-9.81)')
		end
	end
end

local function onScenarioChange(sc)
	if sc.state == "pre-running" then
		--Reset gravity to Earth's if the reset occured during zero-gravity
		scenetree.findObject('scenario_player0'):queueLuaCommand('obj:setGravity(-9.81)')
	end
end

M.onBeamNGTrigger = onBeamNGTrigger
M.onScenarioChange = onScenarioChange
return M
