local M = {}

Particle = {}
Particle.__index = Particle

function Particle:new(name, emitter)
  local instance = {name = name, emitter = emitter}
  setmetatable(instance, Particle)
  return instance
end

function Particle:update() end

-----------------------------------------------------------------------------------------------------------------------------------

ParticleCircular = {}
ParticleCircular.__index = ParticleCircular

function ParticleCircular.new(name, emitter)
  local instance = Particle.new({
      name = name,
      emitter = emitter
    }
  )
  setmetatable(instance, ParticleCircular)
end

--Inheritance
setmetatable(ParticleCircular, {__index = Particle})

-----------------------------------------------------------------------------------------------------------------------------------



return M
