local M = {}

local function circular(radius, angle)
	--[[
	Simulates moving in a circular motion
	]]--
	--in the form (rcosθ, rsinθ)
	local offsetX = radius*math.cos(angle)
	local offsetY = radius*math.sin(angle)
	return offsetX, offsetY
end

M.circular = circular
return M
