local M = {}

local coils = {0, 72, 144, 216, 288, 0, 0, 0, 0, 0, 0}

local function onPreRender(dt)
	if bullettime.get() > 0 then
		--Updates every coil with the new displacement
		for i = 1, 10 do
			coils[i] = coils[i]+(dt)*bullettime.get()
		end

		--Update small coils on floor
		TorqueScript.eval([[
			coil1.position = "-613.846252 -750.069824 ]]..(24*math.sin(coils[1])+24)..[[";
			coil2.position = "-518.114380 -749.942627 ]]..(24*math.sin(coils[2])+24)..[[";
			coil3.position = "-487.102020 -667.635132 ]]..(24*math.sin(coils[3])+24)..[[";
			coil4.position = "-646.504456 -667.710571 ]]..(24*math.sin(coils[4])+24)..[[";
			coil5.position = "-562.451538 -603.846252 ]]..(24*math.sin(coils[5])+24)..[[";
		]])

		--Update big coils on pylon
		for i = 6, 10 do
			TorqueScript.eval('coil'..i..'.position = "'..(200*math.sin(coils[i])-600 + (i-6)*20)..' -572.825378 67.57724";')
		end
	end
end

M.onPreRender = onPreRender
return M
