angular.module('beamng.apps')
.directive('timer', ['UiUnits', function (UiUnits) {
  return {
    template:
      '<div class="bngApp" style="width: 100%; height: 100%; font-size: 1.4em;" ' +
                  'layout="column">' +
                  '<span id="timer" style=" font-size: 90%; vertical-align: middle; align: right;">Time Left:</span>' +
                  '<span id="timerBar"; style="width: 500px; height: 50px; background-color: #0066ff;"></span>' +
      '</div>',
    replace: true,
    link: function (scope, element, attrs) {
      'use strict';

      scope.$on('timeLeft', function (event, data) {
        if (data.event === "targets") {
          document.getElementById("timer").innerHTML = "Time Bonus:";
        }

        var timerBar = document.getElementById("timerBar");

        var width = 500*(data.time);
        timerBar.style.width = width + "px";

        timerBar.style["background-color"] = "hsl(" + (120*data.time) + ", 100%, 50%)"
      });
    }
  };
}]);
